### Method

# Gdk GLTextureBuilderset_format

since: 4.12

#### Declaration [src]

    void
    gdk_gl_texture_builder_set_format (
      GdkGLTextureBuilder* self,
      GdkMemoryFormat format
    )

#### Description [src]

Sets the format of the texture. The default is `GDK_MEMORY_R8G8B8A8_PREMULTIPLIED`.

The format is the preferred format the texture data should be downloaded to. The format must be supported by the GL version of `GdkGLTextureBuilder:context`.

GDK’s texture download code assumes that the format corresponds to the storage parameters of the GL texture in an obvious way. For example, a format of `GDK_MEMORY_R16G16B16A16_PREMULTIPLIED` is expected to be stored as `GL_RGBA16` texture, and `GDK_MEMORY_G8A8` is expected to be stored as `GL_RG8` texture.

Setting the right format is particularly useful when using high bit depth textures to preserve the bit depth, to set the correct value for unpremultiplied textures and to make sure opaque textures are treated as such.

Non-RGBA textures need to have swizzling parameters set up properly to be usable in GSK’s shaders.

Available since: 4.12

Sets property | `Gdk.GLTextureBuilder:format`

#### Parameters

`format`

  Type: `GdkMemoryFormat`

  The texture’s format.